## jaaa 0.4.2

=== Makefile ===
#  Copyright (C) 2004-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.4.2
DISTDIR = jaaa-$(VERSION)
CPPFLAGS += -O3 -Wall -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
#CPPFLAGS += -march=pentium4

LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
LDLIBS += -lclalsadrv -lclthreads -lclxclient -lpthread -lfftw3f -ljack -lasound -lpthread -lXft -lX11 -lrt

JAAA_H = styles.h spectwin.h audio.h prbsgen.h rngen.h
JAAA_O = jaaa.o styles.o spectwin.o audio.o rngen.o


jaaa:	$(JAAA_O)
	g++ $(LDFLAGS) -o jaaa $(JAAA_O) $(LDLIBS)


install:	jaaa
	/usr/bin/install -m 755 jaaa $(PREFIX)/bin

$(JAAA_O):	$(JAAA_H)


clean:
	/bin/rm -f *~ *.o *.a *.so jaaa


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export jaaa $(DISTDIR); \
	tar cvf $(DISTDIR).tar $(DISTDIR); \
	bzip2 $(DISTDIR).tar; \
	/bin/rm -f -r $(DISTDIR);

## jaaa 0.6.0

=== Makefile ===
#  --------------------------------------------------------------------------
#
#  Copyright (C) 2004-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.6.0
DISTDIR = jaaa-$(VERSION)
CPPFLAGS += -O2 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
CPPFLAGS += -march=native

LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
LDLIBS += -lclalsadrv -lclthreads -lclxclient -lpthread -lfftw3f -ljack -lasound -lpthread -lXft -lX11 -lrt


JAAA_O = jaaa.o styles.o spectwin.o audio.o rngen.o
jaaa:	$(JAAA_O)
	g++ $(LDFLAGS) -o $@ $(JAAA_O) $(LDLIBS)

$(JAAA_O):
-include $(JAAA_O:%.o=%.d)


install:	jaaa
	install -Dm 755 jaaa $(DESTDIR)$(PREFIX)/bin/jaaa

clean:
	/bin/rm -f *~ *.o *.a *.d *.so jaaa

=== debian/changelog ===
jaaa (0.6.0-1) unstable; urgency=low

  [ Philippe Coval ]
  * Imported Upstream version 0.6.0
    - Refreshed patch
  * Updated debian/control:
    - Updated standards and format to 3.0 (quilt)
    - Switched to collaborative maintenance
    - Uses alioth scm
    - Removed superfluous build-dependency (Closes: #578088)
  * Updated debian/rules:
    - debian/rules: remove get-orig-source
  * Rewrote manpage to fix manpage-has-errors-from-man

  [ Alessio Treglia ]
  * Fix Maintainer's email address, add myself as uploader.
  * Drop quilt support as it complies to 3.0 (quilt) format.
  * Add debian/gbp.conf file.
  * Add .gitignore file.
  * Switch to DH 7 tiny rules.
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Jun 2010 21:00:13 +0200

jaaa (0.4.2-2) unstable; urgency=low

  * Merged jaaa_0.4.2-1ubuntu1.patch
  * debian/* : updated to latest standards + maintainer email (Closes: #546630)

 -- Philippe Coval <rzr@gna.org>  Thu, 15 Oct 2009 08:50:41 +0200

jaaa (0.4.2-1ubuntu1) intrepid; urgency=low

  * debian/jaaa.desktop
    - Add AudioVideo to Categories to make it show up in menu (LP: #243773)
    - Add semicolon (;) after Audio to make it validate with desktop-file-
      validate
  * Modify Maintainer value to match the DebianMaintainerField
    specification.
  * Bump standards version to 3.8.0

 -- Nathan Handler <nathan.handler@gmail.com>  Sat, 28 Jun 2008 14:59:39 -0500

jaaa (0.4.2-1) unstable; urgency=low

  * Integration from ubuntu to debian (Closes: #435582)
  * Simplified rules, minors fixes in copright and doc-base files

 -- Philippe Coval <rzr@users.sf.net>  Wed, 23 Jan 2008 19:51:58 +0100

jaaa (0.4.2-0ubuntu1) hardy; urgency=low

  * Initial release (LP: #160732)

 -- Philippe Coval <rzr@users.sf.net>  Thu, 17 May 2007 19:02:48 +0200

=== debian/control ===
Source: jaaa
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 7.0.50~),
 docbook-to-man,
 libclalsadrv-dev,
 libclthreads-dev,
 libclxclient-dev,
 libasound2-dev,
 libjack-dev,
 libfftw3-dev
Standards-Version: 3.8.4
Homepage: http://www.kokkinizita.net/linuxaudio
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jaaa.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jaaa.git

Package: jaaa
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: audio signal generator and spectrum analyser
 Jaaa (JACK and ALSA Audio Analyser) is an audio signal generator and
 spectrum analyser designed to make accurate measurements.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

MAINPACKAGE?=$(shell dpkg-parsechangelog | sed -n 's/Source: \(.*\)/\1/p')

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/${MAINPACKAGE}.sgml > debian/${MAINPACKAGE}.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/${MAINPACKAGE}.1

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html \
  jaaa-(.*)\.tar\.bz2

## jaaa 0.8.4

=== source/Makefile ===
#  --------------------------------------------------------------------------
#
#  Copyright (C) 2004-2013 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#  --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
VERSION = 0.8.4
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I/usr/include/freetype2
CXXFLAGS += -O2 -Wall -MMD -MP
CXXFLAGS += -march=native
LDFLAGS += -L/usr/X11R6/$(LIBDIR)
LDLIBS += -lzita-alsa-pcmi -lclthreads -lclxclient -lpthread -lfftw3f -ljack -lasound -lpthread -lXft -lX11 -lrt


JAAA_O = jaaa.o styles.o spectwin.o audio.o rngen.o
jaaa:	$(JAAA_O)
	g++ $(LDFLAGS) -o $@ $(JAAA_O) $(LDLIBS)

$(JAAA_O):
-include $(JAAA_O:%.o=%.d)


install:	jaaa
	install -Dm 755 jaaa $(DESTDIR)$(PREFIX)/bin/jaaa

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/jaaa

clean:
	/bin/rm -f *~ *.o *.a *.d *.so jaaa

=== debian/changelog ===
jaaa (0.8.4-4) unstable; urgency=medium

  * .gitignore file by postclone script.
  * Add patch to fix cross build (Closes: #870859).
  * Numbered patches.
  * Update copyright file.
  * Patch forwarded.
  * Tune dh version.
  * Bump Standards.
  * Append flags rather to LDFLAGS.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Aug 2017 03:59:31 +0200

jaaa (0.8.4-3) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Remove README.debian file.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 13:52:44 +0100

jaaa (0.8.4-2) unstable; urgency=medium

  * Fix description. (Closes: #747639)
  * Bump Standards.
  * Fix VCS fields.
  * Remove menu file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 20 Jul 2016 12:08:13 +0200

jaaa (0.8.4-1) unstable; urgency=low

  [ Alessio Treglia ]
  * Unapply patches after the build,abort on upstream changes.
  * Suggests jackd.

  [ Jaromír Mikeš ]
  * Imported Upstream version 0.8.4
  * Add myself as uploader.
  * Set dh/compat 9.
  * Bump Standards.
  * Fix VCS canonical URLs.
  * Tune gitignore file to handle rather dir.
  * Update copyright file.
  * Tune build-deps for new upstream release.
  * Patch refreshed.
  * Tune rules file - Makefile moved by upstream.
  * Fix installing desktop files and icon.
  * Added Keywords entry to desktop files.
  * Make package description more verbose.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 Aug 2013 22:31:06 +0200

jaaa (0.6.0-2) unstable; urgency=low

  * Provide two desktop files (LP: #417422):
    - jaaa-alsa.desktop: Launcher to use Jaaa through ALSA.
    - jaaa-jack.desktop: Launcher to use Jaaa through JACK.
  * Improve menu file to achieve the same above.
  * Bump Standards.
  * Update debian/gbp.conf.
  * Rewrite debian/copyright as per DEP-5 rev#173.
  * Upstream's Homepage has changed, update debian/{control,watch} files.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Mar 2011 21:05:13 +0100

=== debian/control ===
Source: jaaa
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Philippe Coval <rzr@gna.org>
Build-Depends: debhelper (>= 10~),
 docbook-to-man,
 libzita-alsa-pcmi-dev (>= 0.2.0),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libasound2-dev,
 libjack-dev,
 libfftw3-dev
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jaaa.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jaaa.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html#jaaa

Package: jaaa
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: jackd
Description: audio signal generator and spectrum analyser
 Jaaa (JACK and ALSA Audio Analyser) is an audio signal generator and
 spectrum analyser designed to make accurate measurements.
 .
 Jaaa allows you select on of the four inputs,
 'Min' and 'Max' the min and max displayed frequencies.
 There can be up to two markers which helps accurately
 read off values in the display.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,19 @@
 
 MAINPACKAGE?=$(shell dpkg-parsechangelog | sed -n 's/Source: \(.*\)/\1/p')
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 %:
-	dh $@
+	dh $@ --sourcedir=source
+
+override_dh_auto_install:
+	dh_auto_install
+	install -d $(CURDIR)/debian/jaaa/usr/share/applications/
+	install -d $(CURDIR)/debian/jaaa/usr/share/pixmaps/
+	install -m 644 $(CURDIR)/debian/*.desktop $(CURDIR)/debian/jaaa/usr/share/applications/
+	install -m 644 $(CURDIR)/debian/*.xpm $(CURDIR)/debian/jaaa/usr/share/pixmaps/
 
 override_dh_auto_build:
 	dh_auto_build

## jaaa 0.9.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2004-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin

VERSION = 0.9.2
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(PREFIX)\" -I.
CPPFLAGS += $(shell pkgconf --cflags freetype2)
CXXFLAGS += -O2 -Wall
CXXFLAGS += -march=native
LDLIBS += -lzita-alsa-pcmi -lclthreads -lclxclient -lasound -lpthread \
	-lfftw3f -ljack -lXft -lX11 -lrt


JAAA_O = jaaa.o styles.o mainwin.o audio.o rngen.o
jaaa:	$(JAAA_O)
	$(CXX) $(LDFLAGS) -o $@ $(JAAA_O) $(LDLIBS)
$(JAAA_O):
-include $(JAAA_O:%.o=%.d)


install:	jaaa
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 jaaa $(DESTDIR)$(BINDIR)


uninstall:
	rm -f $(DESTDIR)$(BINDIR)/jaaa


clean:
	/bin/rm -f *~ *.o *.a *.d *.so jaaa

=== debian/changelog ===
jaaa (0.9.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:02 +1100

jaaa (0.9.2-1build1) noble; urgency=medium

  * Rebuild against latest clthreads

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 07:13:28 -0400

jaaa (0.9.2-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use dh-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Olivier Humbert ]
  * d/*.desktop: Add French names and comments
  * d/copyright: Update year, http > https and add myself
  * http > https in d/control and d/watch

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add libfreetype6-dev and pkg-config to B-D
    + Set RRR: no
    + Add me as uploader
  * d/copyright: Update year & add myself
  * d/docs: Fix path for installation
  * d/jaaa.manpages: Fix path for installation
  * d/patches: Refresh patches, add pkgconf fix
  * d/rules:
    + Add prefix and pkgconf export
    + Fix man installation
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Feb 2020 21:01:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: jaaa
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Philippe Coval <rzr@gna.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
  docbook-to-man,
  libzita-alsa-pcmi-dev (>= 0.2.0),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libasound2-dev,
  libjack-dev,
- libfftw3-dev
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jaaa.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jaaa.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html#jaaa
+ libfftw3-dev,
+ libfreetype6-dev,
+ pkg-config
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/jaaa.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/jaaa
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/index.html#jaaa
+Rules-Requires-Root: no
 
 Package: jaaa
 Architecture: any

=== debian/watch ===
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
  jaaa-(.*)\.tar\.bz2
